Subject: Re: ScreamerNet Questions
From: Mark Thompson <[email-masked]>
To: [email-masked]
Date: Fri, 17 Jun 94 14:23:56 EDT

Joe Solinsky writes:
> Gee, all this talk about splitting up pages makes me wonder one thing:
> Does Screamer Net use Distributed Shared Memory?

In a word, no. ScreamerNet is the most simple and brute force method of
parallel computing. It is simply networked independant systems with only
one shared resource, the 3D database on the Amiga hard drive(s). This is
far less efficient than a shared memory architecture, but avoids all the
hassles and time penalties of contention and arbitration.
%~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~%
%      `       '        Mark Thompson                 CONCURRENT COMPUTER  %
% --==* RADIANT *==--   [email-masked]        Principal Graphics   %
%      ' Image `        ...!uunet!masscomp!mark       Hardware Architect   %
%     Productions       (508)392-2480 (603)424-1829   & General Nuisance   %
%                                                                          %
 ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~